optionVersion(3)

NAME
optionVersion - return the compiled AutoOpts version number

SYNOPSIS
#include <your-opts.h>
cc [...] -o outfile infile.c -lopts [...]

char const * optionVersion(void);

DESCRIPTION
Returns the full version string compiled into the library. The returned string cannot be modified.

RETURN VALUE
the version string in constant memory

SEE ALSO
The info documentation for the -lopts library.
ao_string_tokenize(3), configFileLoad(3), optionFileLoad(3), optionFindNextValue(3), optionFindValue(3), optionFree(3), optionGetValue(3), optionLoadLine(3), optionMemberList(3), optionNextValue(3), optionOnlyUsage(3), optionPrintVersion(3), optionPrintVersionAndReturn(3), optionProcess(3), optionRestore(3), optionSaveFile(3), optionSaveState(3), optionUnloadNested(3), strequate(3), streqvcmp(3), streqvmap(3), strneqvcmp(3), strtransform(3),